Subject: Re: [bug#76185] Request for merging "tex-team" branch

From: Andreas Enge <[email-masked]>
Date: Tue, 29 Apr 2025 09:47:49 +0200

Hello Nicolas,

Am Mon, Apr 28, 2025 at 09:31:21PM +0200 schrieb Nicolas Goaziou:
> If I read reports from CI correctly, texlive-bin doesn’t build on i686.
> I don’t know why.

I confirm when trying to do
   ./pre-inst-env guix build --system=i686-linux texlive-bin

It fails with:
/tmp/guix-build-texlive-bin-2025.2.drv-0/build/texk/web2c/../../../source/texk/web2c/luatexdir/luazip/src/luazip.c:183:(.text+0x192): undefined reference to `zzip_open_ext_io64'
collect2: error: ld returned 1 exit status

This seems to be the same error as
   https://tug.org/pipermail/tex-live/2024-July/050773.html
Maybe the solution to remove zziplib related files given in
for Debian
   https://tug.org/pipermail/tex-live/2024-July/050782.html
would also work for us?

Andreas